Package org.apache.tools.ant.taskdefs.optional.native2ascii

# Class BuiltinNative2Ascii

java.lang.Object
org.apache.tools.ant.taskdefs.optional.native2ascii.BuiltinNative2Ascii

All Implemented Interfaces:
  `Native2AsciiAdapter`

    public class BuiltinNative2Ascii
    extends java.lang.Object
    implements Native2AsciiAdapter

Encapsulates the built-in Native2Ascii implementation.

Since:
  Ant 1.9.8

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`BuiltinNative2Ascii()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `convert​(Native2Ascii args, java.io.File srcFile, java.io.File destFile)` | Convert the encoding of srcFile writing to destFile.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BuiltinNative2Ascii

public BuiltinNative2Ascii()

## Method Details

### convert

public final boolean convert​(Native2Ascii args, java.io.File srcFile, java.io.File destFile) throws BuildException
Description copied from interface: `Native2AsciiAdapter`
Convert the encoding of srcFile writing to destFile.

Specified by:
  `convert` in interface `Native2AsciiAdapter`
Parameters:
  `args` - Task that holds command line arguments and allows the implementation to send messages to Ant's logging system
  `srcFile` - the source to convert
  `destFile` - where to send output to
Returns:
  whether the conversion has been successful.
Throws:
  `BuildException` - if there was a problem.